Get a template
Returns template metadata, its project entry path, and compiled channel content. Open live project files through the workspace API.
Returns template metadata, its project entry path, and compiled channel content. Open live project files through the workspace API.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^tmpl_[0-9a-hjkmnp-tv-z]{16,24}$Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/templates/string"{ "id": "string", "organizationId": "string", "projectId": "string", "entryPath": "string", "name": "string", "slug": "string", "familyId": "string", "channel": "email", "description": "string", "category": "string", "fromDefault": { "email": "string", "name": "string" }, "replyToDefault": [ "string" ], "trackingDefault": { "opens": true, "clicks": true }, "email": { "subject": "string", "preheader": "string", "headers": { "property1": "string", "property2": "string" } }, "publicationId": "string", "inputContractId": "string", "inputSchema": {}, "compliance": { "metaStatus": "string", "submittedAt": "string", "qualityScore": "string", "rejectedReason": "string", "lastSyncedAt": "string", "approvalStatus": "draft", "approvedBy": "string", "approvedAt": "string", "approvalNotes": "string", "regulatoryRequirements": [ { "region": "string", "requirement": "string", "status": "compliant", "notes": "string" } ] }, "usageCount": 0, "lastUsedAt": "string", "status": "string", "isActive": true, "isDefault": true, "publishedAt": "string", "publishedBy": "string", "createdAt": "string", "updatedAt": "string"}